@ECHO OFF
CLS
ECHO [1;34mĿ
ECHO [1;36m                                  MYDIR.EXE [1;34m                                 
ECHO                                  [5m[0m[1;34m                                 
ECHO                            [1;37;41mOperating Instructions[1;34;0m[1;34m                            
ECHO 
ECHO [4m[1;32mPURPOSE:[1;35m
ECHO [1;37;44m[0m[1;37m  This utility offers two main services:
ECHO 
ECHO    [1;37;44m1)[0m[37m Display [1;37;41mall[0m[37m files in [1;37;41mall[0m[37m subdirectories on the [s
ECHO [u[1;35mcurrent drive[0m[37m.
ECHO [8C[1;37;44m[0m[37m To a 'listing-file' ([d:][path]filename) - [7m1st parm position[0m!
ECHO [8C[1;33;44mOR[0m[37m
ECHO [8C[1;37;44m[0m[37m To STDOUT (console) - [7mno filename[0m.
ECHO 
ECHO [10C[7m[1;37mPreceeding Options Can Be Combined With The Following Service[0m[37m
ECHO 
ECHO    [1;37;44m2)[0m[37m Display [1;37;41mall[0m[37m files in [1;37;41mall[0m[37m subdirectories on the [s
ECHO [u[1;35mcurrent drive [0m[37mwhich match
ECHO [5Ca search-mask (you provide - NO quotes).
ECHO [8C[1;37;44m[0m[37m The search-mask request must be preceeded with the [1;37;41m-n[0m[37m switch.
ECHO [8C[1;37;44m[0m[37m The search-mask can be one or more leading characters of the
ECHO [8C[1;37;44m[0m[37m  file name up to and including an entire filename.
ECHO [8C[1;37;44m[0m[37m Alternatively, the search-mask can be one or more trailing
ECHO [8C[1;37;44m[0m[37m  characters of a filename.
ECHO [22C[1;33;41m** Wild Cards Are NOT Supported **[0m[37m
PAUSE
ECHO [6;1H[s[K
FOR %%A IN ([K [K [K [K [K [K [K [K [K [K [K [K [K [K [K [K [K) DO ECHO %%A
ECHO [u[1;32mUSAGE NOTES:[1;35m
ECHO [1;37;44m[0m[37m    Once a 'listing-file' is created it can serve as the source for all
ECHO [3Csubsequent search-mask activities. Utilization of a standing 'listing-file'
ECHO [3Cgreatly diminishes the response time for search-mask activities.
ECHO 
ECHO [1;32mUSAGE EXAMPLES:[1;35m
ECHO 
ECHO [0m[30m"[37mC:\>[1;37mMYDIR [0m[37m<Enter>[30m"[37m  = [1;37;41mall[0m[37m files in [1;37;41mall [s
ECHO [u[0m[37m subdirectories sent to STDOUT.
ECHO 
ECHO [0m[30m"[37mC:\>[1;37mMYDIR DIRLIST.LST [0m[37m<Enter>[30m"[37m  = [s[1;37;41mall[0m[37m files in [1;37;41mall [s
ECHO [u[s[1;37;41mall[0m[37m files in [1;37;41mall [0m[37m subdirectories saved in
ECHO [u[1B[1;37mDIRLIST.LST[0m[37m file.
ECHO 
ECHO [0m[30m"[37mC:\>[1;37mMYDIR -n TESTERS [0m[37m<Enter>[30m"[37m  = [1;37;41mTESTERS?.???[0m[37m sent to STDOUT.
ECHO [34C[1;37;41m?TESTERS.???[0m[37m sent to STDOUT.
ECHO [34C[1;37;41m??TESTER.S??[0m[37m sent to STDOUT.(etc.)
ECHO 
ECHO [0m[30m"[37mC:\>[1;37mMYDIR DIRLIST.LST -n TESTERS [0m[37m<Enter>[30m"[37m  = [1;37;41m(as above)[0m[37m [s
ECHO [usaved in [1;37mDIRLIST.LST[0m[37m
ECHO [46Cfile.
PAUSE
ECHO [6;1H[s[K
FOR %%A IN ([K [K [K [K [K [K [K [K [K [K [K [K [K [K [K [K [K) DO ECHO %%A
ECHO [u[1;32mSYSTEM REQUIREMENTS:[1;35m
ECHO [1;37;44m[0m[37m    This utility was written in [1;37;42mC[0m[37m and compiled with [1;37mMSC 6.0[0m[37m.[s
ECHO [u  In order to
ECHO [4Cachieve maximum speed, the [1;37;41m-G2[0m[37m option was specified at compile time. Please
ECHO [4Cbe advised that you need a [1;37m286[0m[37m (or better) machine to run this utility!
ECHO 
ECHO 
ECHO [1;32mAUTHOR'S NOTES:[1;35m
ECHO [1;37;44m[0m[37m    My name is Jonathan Paolicelli and I offer this utility as [7m[1;34mFREEWARE[0m[37m.
ECHO [4CPlease feel free to pass this utility to anyone who might care for it.  I'd
ECHO [4Cbe most appreciative if you'd include both the [1;36mMYDIR.EXE[0m[37m and this batch
ECHO [4Cfile ([1;36mMYDIRHLP.BAT[0m[37m) as a package.
ECHO         [7m[1;33m              Reported by McAfee's Validate 0.3             [0m[37m
ECHO        File Name:  MYDIRHLP.BAT             File Name:  MYDIR.EXE
ECHO          Size:  4,210                         Size:  39,078
ECHO          Date:  1-28-1991                     Date:  1-26-1991
ECHO        File Authentication:                 File Authentication:
ECHO          Check Method 1 - 6BA3                Check Method 1 - F17F
ECHO          Check Method 2 - 093E                Check Method 2 - 0681
PAUSE
CLS
